NewWacht Bench is live — AI-assisted development for Wacht

Get Webhook Timeseries

GET
/webhooks/apps/{app_slug}/timeseries

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

app_slug*string

Query Parameters

app_id?integer
endpoint_id?integer
interval?string
Value in"minute" | "hour" | "day" | "week" | "month"
start_date?string
Formatdate-time
end_date?string
Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/webhooks/apps/string/timeseries"
{
  "data": [
    {
      "timestamp": "2019-08-24T14:15:22Z",
      "total_events": 0,
      "total_deliveries": 0,
      "successful_deliveries": 0,
      "failed_deliveries": 0,
      "filtered_deliveries": 0,
      "avg_response_time_ms": 0,
      "success_rate": 0
    }
  ],
  "interval": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}